#
# spec file for package sane (Version 1.0.14)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gcc-c++ gimp gimp-devel gtk2-devel-packages hp-officeJet libexif libgphoto2 libieee1284 libjpeg libusb net-snmp net-snmp-devel openssl pkgconfig resmgr x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel atk atk-devel autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext gimp gimp-devel glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel hp-officeJet libexif libgphoto2 libieee1284 libjpeg libjpeg-devel libtool libusb net-snmp net-snmp-devel pango pango-devel perl pkgconfig resmgr rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         sane
License:      GPL, distributable
Group:        Hardware/Scanner
Autoreqprov:  on
Summary:      The Scanner Access Now Easy API
Version:      1.0.15
Release:      1
%define       frontendversion 1.0.13
URL:          http://www.sane-project.org/
# Source0, Source10, Source20, ... Source90 are the primary sources
# Source0 are the backends
Source0:      ftp://ftp.de.mostang.com/pub/sane/sane-backends-%{version}/sane-backends-%{version}.tar.bz2
# Source10 are the frontends
Source10:     ftp://ftp.de.mostang.com/pub/sane/sane-frontends-%{frontendversion}/sane-frontends-%{frontendversion}.tar.bz2
# Source100, ... is SUSE specific stuff
Source100:    rc.sane
Source101:    sane-docs.tar.bz2
Source102:    sane-hardcoded.usermap
Source103:    sane.reg
Source104:    sane-port
Source105:    sane.README.suse
Source106:    patch-sane.sh
Source107:    testtool-20030401_1.tar.bz2
# Patch0 ... Patch9 is for the backends
# Patch0 to set the correct docdir for the backends
Patch0:       sane-backends-docdir.dif
# Patch1 to fix a type mismatch in sm3600.c
Patch1:       sane-backends-sm3600-scanmtek-TState.dif
# Patch2 to add a newline by default to the "scanimage -f..." output
Patch2:       sane-backends-scanimage-newline.dif
# Patch3 for resmgr stuff
#Patch3:       sane-backends-1.0.13-resmgr.patch
# Patch4 for additional config ids, so scanimage -L finds more scanners.
Patch4:       sane-config-ids.patch
# Patch5 for removing the libtool macros from acinclude.m4
Patch5:       sane-backends-1.0.15-no_libtool_macros.dif
# Patch6 for fixing pointer->int casts
#Patch6:       sane-backends-1.0.13-pointer_int_casts.dif
# Patch7 for fixing the type punning
Patch7:       sane-backends-1.0.15-type_punning.dif
# Patch8 fixes the problem with EPSON D8 function level scanners that have a transparency unit (bug 45075)
#Patch8:       sane-backends-1.0.14-epson_d8.patch
# Patch10 ... Patch19 is for the frontends
# Patch10 to set the correct docdir for the frontends
# at the moment this patch is not needed because nothing is written to $(prefix)/doc/sane
# except what is installed "manually" in the install section 
Patch10:      sane-frontends-docdir.dif
# Patch100 ... is for SUSE specific stuff
PreReq:       %insserv_prereq %fillup_prereq hotplug
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     resmgr libieee1284

%description
SANE (Scanner Access Now Easy) is a universal scanner interface that
comes complete with documentation and several front-ends and back-ends.
SANE is the standard scan solution for Linux.

The network scan module allows connections to scanners via a network.
Different clients are available.



Authors:
--------
    Abel Deuring <a.deuring@satzbau-gmbh.de>
    Andras Major <andras@users.sourceforge.net>
    Andreas Beck <becka@sunserver1.rz.uni-duesseldorf.de>
    Andreas Bolsch <ab@maths.nott.ac.uk>
    Andreas Czechanowski <m075@ins.uni-stuttgart.de>
    Andreas Rick <andreas.rick@free.fr>
    Andrew Kuchling <amk@magnet.com>
    Bernd Schroeder <bernd@aquila.muc.de>
    Brian J. Murrell <brian@interlinx.bc.ca>
    Chris Bagwell <cbagwell@users.sourceforge.net>
    Chris Pinkham <cpinkham@infi.net>
    Christian Bucher <cbucher@vernetzt.at>
    David Etherton <etherton@netcom.com>
    David F. Skoll <dskoll@iname.com>
    David Huggins-Daines <bn711@freenet.carleton.ca>
    David Mosberger <David.Mosberger@acm.org>
    Didier Carlier <didier@sema.be>
    Eugene S. Weiss <yossarian@users.sourceforge.net>
    Feico W. Dillema <dillema@acm.org>
    Franck Schneider <schnefra@hol.fr>
    Frank Zago <fzago at austin dot rr dot com>
    Frederik Ramm <frederik@remote.org>
    Gerhard Jaeger <gerhard@gjaeger.de>
    Glenn Ramsey <glenn@componic.com>
    Gordon Matzigkeit  <gord@gnu.ai.mit.edu>
    Guido Muesch <odiug@faho.rwth-aachen.de>
    Helmut Koeberle <helmut.koeberle@bytec.de>
    Henning Meier-Geinitz <henning@meier-geinitz.de>
    Henrik Johansson <henrikjo@post.urfors.se>
    Ingo Schneider <schneidi@informatik.tu-muenchen.de>
    Ingo Wilken <Ingo.Wilken@informatik.uni-oldenburg.de>
    Jeff Freedman <jsf@hevanet.com>
    Jochen Eisinger <jochen.eisinger@gmx.net>
    Juergen G. Schimmer <schimmi@nbgm.siemens.de>
    Karl Anders �gard <karlo@opera.no>
    Karl Heinz Kremer <khk@khk.net>
    Karsten Festag <karsten.festag@gmx.de>
    Kazuhiro Sasayama <kaz@hypercore.co.jp>
    Kazuya Fukuda <kaafuu@mug.biglobe.ne.jp>
    Kevin Charter <charter@cs.rice.edu>
    Manuel Panea <Manuel.Panea@rzg.mpg.de>
    Marcio Teixeira <marciot@users.sourceforge.net>
    Marian Eichholz <eichholz@computer.org>
    Markus Mertinat <Markus.Mertinat@Physik.Uni-Augsburg.DE>
    Matthew Duggan <stauff1@users.sourceforge.net>
    Matthew Marjanovic <maddog@mir.com>
    Max Vorobiev <pcwizard@yandex.ru>
    Meino Christian Cramer <mccramer@s.netic.de>
    Michael Herder <crapsite@gmx.net>
    Michael K. Johnson <johnsonm@redhat.com>
    Michel Roelofs <michelr@stack.nl>
    Milon Firikis <milonf@ariadne-t.gr>
    Mitsuru Okaniwa <m-okaniwa@bea.hi-ho.ne.jp>
    Nathan Rutman <nathan@gordian.com>
    Oliver Rauch <Oliver.Rauch@Rauch-domain.de>
    Oliver Schirrmeister <oschirr@abm.de>
    Oliver Schwartz <oliverschwartz@users.sourceforge.net>
    Patrick Reynolds <patrickr@virginia.edu>
    Peter Fales <peter@fales-lorenz.net>
    Peter Kirchgessner <peter@kirchgessner.net>
    Petter Reinholdtsen <pere@hungry.com>
    Randolph Bentson <bentson@grieg.holmsjoen.com>
    Rene Rebe <rene.rebe@gmx.net>
    Roger Wolff <R.E.Wolff@BitWizard.nl>
    Sebastien Sable <Sebastien.Sable@snv.jussieu.fr>
    Simon Krix <kinsei@users.sourceforge.net>
    Simon Munton <simon@munton.demon.co.uk>
    St�hane Voltz <svoltz@wanadoo.fr>
    Tom Martone <tom@martoneconsulting.com>
    Tom Wang <tom.wang@mustek.com.tw>
    Tristan Tarrant <ttarrant@etnoteam.it>
    Ulrich Deiters <ukd@xenon.pc.Uni-Koeln.DE>

%prep
%setup -q -n sane-backends-%{version} -a 101 -b 10 -b 107
cd ../testtool
sh %{S:106} ../sane-backends-%{version}
cd -
# patch the backend stuff
# Patch0 to set the correct docdir for the backends
%patch0 -p0
# Patch1 to fix a type mismatch in sm3600.c
%patch1 -p0
# Patch2 to add a newline by default to the "scanimage -f..." output
%patch2 -p0
# Patch3 for resmgr stuff
#%patch3 -p1 -b .resmgr
# Patch4 for more scanner ids.
%patch4 -p1 -b .ids
# Patch5 to remove libtool macros from acinclude.m4
%patch5 -b .libtool
# patch6 to fix pointer->int casts
#%patch6 -b .casts
# Patch7 for fixing the type punning
%patch7 -b .type_punning
# Patch8 fixes the problem with EPSON D8 function level scanners that have a transparency unit (bug 45075)
#%patch8 -b .epson_d8
# patch the frontend stuff
cd ../sane-frontends-%{frontendversion}
# Patch10 to set the correct docdir for the frontends
%patch10 -p0

%build
# make the backends
%{?suse_update_config:%{suse_update_config -f}} 
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DGIMP_ENABLE_COMPAT_CRUFT=1"
export LDFLAGS="-L/%_lib $LDFLAGS"
./configure --prefix=/usr --exec-prefix=/usr \
	--sysconfdir=/etc --libdir=%{_libdir} --sbindir=/usr/sbin \
	--with-gphoto2 \
	--with-ptal=/usr/bin/ \
	--mandir=%{_mandir} --datadir=/usr/share/
make
# install the backends now because they are needed for making the frontends
make install DESTDIR=$RPM_BUILD_ROOT
# install -m 755 tools/xerox $RPM_BUILD_ROOT/usr/X11R6/bin
# make the frontends
cd ../sane-frontends-%{frontendversion}
%{?suse_update_config:%{suse_update_config -f}} 
# work around buildroot problems
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%_libdir
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export LDFLAGS="-L$RPM_BUILD_ROOT/%_libdir/"
export CPPFLAGS="$CPPFLAGS -I$RPM_BUILD_ROOT/usr/include/ -fno-strict-aliasing"
./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc --libdir=%{_libdir} --sbindir=/usr/sbin \
	--mandir=%{_mandir} --datadir=/usr/share/
make

%install
# install the backends (was done in the build section but to be safe do it in the install section too)
make install DESTDIR=$RPM_BUILD_ROOT
# install the frontends
cd ../sane-frontends-%{frontendversion}
make install DESTDIR=$RPM_BUILD_ROOT
# stuff to be done after installation
# disable all entries in almost all descriptions-external/*.desc files
# because none of the external backends is included in the sane package
# see bug #37169 and for details see
# file:///usr/share/doc/packages/sane/sane-backends/sane-backends-external.html
# except one: /usr/share/sane/descriptions-external/hpoj.desc
# because the hpoj backend is in fact available
# because it is in the hp-officeJet package which is installed by default
# see bug 37885
for desc in $RPM_BUILD_ROOT/usr/share/sane/descriptions-external/*.desc
do expr "$desc" : '.*hpoj.desc$' || perl -pi -e 's/^([^;].*)$/;$1/' $desc
done
# disable all backend entries in /etc/sane.d/dll.conf - see README.suse below
perl -pi -e 's/^([^#].*)$/#$1/' $RPM_BUILD_ROOT/etc/sane.d/dll.conf
# install README.suse as explanation why the entries in /etc/sane.d/dll.conf have been disabled
install -m 644 %{SOURCE105} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/README.%{_vendor}
# create gimp-Plugin-Link
rm -f $RPM_BUILD_ROOT/opt/gnome/%{_lib}/gimp/2.0/plug-ins/xscanimage
install -d $RPM_BUILD_ROOT/opt/gnome/%{_lib}/gimp/2.0/plug-ins
(cd $RPM_BUILD_ROOT/opt/gnome/%{_lib}/gimp/2.0/plug-ins; ln -s /usr/X11R6/bin/xscanimage ./xscanimage)
# install frontend specific documentation
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/sane/sane-frontends
install -c AUTHORS COPYING Changelog INSTALL NEWS PROBLEMS README $RPM_BUILD_ROOT/%{_defaultdocdir}/sane/sane-frontends
# add libsane-dll-link to %{_libdir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/libsane-dll.so* 
cd $RPM_BUILD_ROOT%{_libdir} && ln -s sane/libsane-dll.so .
cd $RPM_BUILD_ROOT%{_libdir} && ln -s sane/libsane-dll.so.1 .
cd $RPM_BUILD_ROOT%{_libdir} && ln -s sane/libsane-dll.so.%{version} .
# rcsane related stuff
install -d -m 744 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d/
sed 's,@LIB@,%_lib,g' %{SOURCE100} > $RPM_BUILD_ROOT/etc/init.d/sane
chmod 0755 $RPM_BUILD_ROOT/etc/init.d/sane
rm -f $RPM_BUILD_ROOT/usr/sbin/rcsane
ln -s ../../etc/init.d/sane $RPM_BUILD_ROOT/usr/sbin/rcsane
# remove the library files of hp-officeJet in order not to pack them into the sane package
# i.e. to be able to use simply _libdir/sane/libsane* instead of a long files list in the files section
# the hp-officeJet library files come out of the hp-officeJet package which is needed to build sane
rm -f $RPM_BUILD_ROOT%{_libdir}/sane/libsane-hpoj*
# hotplug stuff
install -d $RPM_BUILD_ROOT/etc/hotplug/usb/
install -c -m644 %{SOURCE102} $RPM_BUILD_ROOT/etc/hotplug/usb/
# OpenSLP registration stuff
install -d $RPM_BUILD_ROOT/etc/slp.reg.d
install -c -m644 %{SOURCE103} $RPM_BUILD_ROOT/etc/slp.reg.d
# xinetd stuff
install -d $RPM_BUILD_ROOT/etc/xinetd.d/
install -c -m644 %{SOURCE104} $RPM_BUILD_ROOT/etc/xinetd.d/

%post
%run_ldconfig
%{fillup_and_insserv -s sane  ADJUST_SCSI_SCANNER_PERM}

%postun 
%run_ldconfig
%insserv_cleanup

%files
%defattr(-,root,root)
%dir /etc/sane.d
%config(noreplace) /etc/sane.d/*.conf
%config(noreplace) /etc/slp.reg.d
%config(noreplace) /etc/xinetd.d/*
%config /etc/init.d/sane
/etc/hotplug/usb/sane-hardcoded.usermap
/usr/sbin/rcsane
/usr/bin/sane-config
/usr/bin/sane-find-scanner
/usr/bin/scanimage
/usr/bin/gamma4scanimage
/usr/X11R6/bin/xscanimage
/usr/X11R6/bin/xcam
/usr/X11R6/bin/scanadf
/usr/share/locale/*/LC_MESSAGES/sane-backends.mo
%dir /usr/share/sane
/usr/share/sane/sane-style.rc
/usr/share/sane/descriptions
/usr/share/sane/descriptions-external
/opt/gnome/%_lib/gimp/2.0/plug-ins/xscanimage
/usr/sbin/saned
%{_libdir}/libsane-dll*
%{_libdir}/libsane.so*
%{_libdir}/libsane.la
%{_libdir}/sane/libsane*
%dir %{_libdir}/sane
/usr/include/sane
%dir %{_defaultdocdir}/sane
%doc %{_defaultdocdir}/sane/README.%{_vendor}
%doc %{_mandir}/man1/*.1.gz
%doc %{_mandir}/man5/*.5.gz
%doc %{_mandir}/man7/*.7.gz
%doc %{_mandir}/man8/*.8.gz
%doc %{_defaultdocdir}/sane/sane-frontends
%doc %{_defaultdocdir}/sane/sane-backends

%changelog -n sane
* Tue Feb 15 2005 - joe_morris@ntm.org
- Updated to 1.0.15
* Mon Sep 20 2004 - jsmeix@suse.de
- Added a test in /etc/init.d/sane whether slpd is really
  running before "/etc/init.d/slpd reload" is done.
  (SUSE bugzilla bug 42032).
* Wed Sep 15 2004 - jsmeix@suse.de
- Added sane-backends-1.0.14-epson_d8.patch which fixes the
  problem with EPSON D8 function level scanners that have
  a transparency unit (SUSE bugzilla bug 45075).
- Changed the file name of /etc/xinetd.d/sane.xinetd to
  /etc/xinetd.d/sane-port because xinetd ignores files
  with names containing a dot (SUSE bugzilla bug 45313).
* Fri Aug 13 2004 - jsmeix@suse.de
- Changed "sane" to "sane-port" in sane.xinetd see bug 41233
* Thu Jul 15 2004 - jsmeix@suse.de
- Added libieee1284 support (by using the new libieee1284 package)
* Tue Jul 13 2004 - jsmeix@suse.de
- Update sane-backends to version 1.0.14
* Wed Apr 21 2004 - pth@suse.de
- Remove libtool macros from acinclude.m4 that caused build
  failures.
- Fix the cases of unnecessary type-punning, obsoleting the need
  for -fno-strict-aliasing.
- Fix pointer->int casts.
* Thu Apr 01 2004 - jsmeix@suse.de
- Correction of what was done according to previous entry:
  Disable all entries in almost all descriptions-external/*.desc
  files because none of the external backends is included in the
  sane package
  except one: /usr/share/sane/descriptions-external/hpoj.desc
  because the hpoj backend is in fact available because it is
  in the hp-officeJet package which is installed by default
  see bug 37885
* Mon Mar 29 2004 - jsmeix@suse.de
- Removed sane-descriptions-external-epkowa.desc.dif and
  disabled all entries in all descriptions-external/*.desc files
  because none of the external backends is included in the sane
  package (see bugzilla bug #37169) and for details see
  .../doc/packages/sane/sane-backends/sane-backends-external.html
* Thu Mar 25 2004 - jsmeix@suse.de
- Patch sane-descriptions-external-epkowa.desc.dif
  disables those entries in descriptions-external/epkowa.desc
  which are also in descriptions/epson.desc
  because we want to prefer the open source backend "epson"
  (see bugzilla bug #36584).
* Tue Mar 23 2004 - meissner@suse.de
- gimp plugins are now in ../2.0/...
* Mon Mar 22 2004 - meissner@suse.de
- epson.conf triggers autodetect on mentioning of "usb", so just
  add this instead of all ids. #36585
* Fri Mar 12 2004 - meissner@suse.de
- The plustek driver has its very own idea of a config file format,
  adapt the config patch.
* Mon Mar 08 2004 - meissner@suse.de
- Updated the .conf files with most of the USB ids in use,
  so scanimage -L finds the scanners even without kernel module.
* Wed Feb 25 2004 - meissner@suse.de
- Merged all system scanner ids into the hardcoded usermap,
  since newer kernels might no longer have the scanner module.
* Sat Feb 21 2004 - ro@suse.de
- use no-strict-aliasing
* Sat Feb 21 2004 - ro@suse.de
- fix gimp plugin link
* Sat Feb 21 2004 - ro@suse.de
- updated frontends to 1.0.11-cvs to get gimp2 support
- use gtk2 for gimp
* Wed Feb 18 2004 - meissner@suse.de
- actually apply the patch (and update it) and not just
  readd it to the sources.
* Mon Feb 16 2004 - meissner@suse.de
- reapply resmgr patch.
* Fri Feb 06 2004 - jsmeix@suse.de
- new versions sane-backends-1.0.13 and sane-frontends-1.0.11
- use the more important backend version number as package version
* Sat Jan 17 2004 - meissner@suse.de
- fixed small typemismatch in sm3600.c
* Wed Nov 19 2003 - adrian@suse.de
- use $HOSTNAME instead of $LOCALHOST in slp reg file
* Fri Nov 14 2003 - adrian@suse.de
- use correct keyword "X-UnitedLinux-Should-Start" in runlevel script
* Thu Nov 13 2003 - adrian@suse.de
- add xinetd file for sane daemon
- let slpd check for running saned via (x)inetd
- notify slpd, if using saned init script
* Wed Nov 12 2003 - freitag@suse.de
- added registration file for slp daemon
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Fri Oct 10 2003 - hvogel@suse.de
- fix scanimage path in the init script
* Mon Jun 16 2003 - meissner@suse.de
- Also use -L/%%_lib, so we find -lresmgr on x86_64.
* Fri Jun 13 2003 - meissner@suse.de
- Buildrooted.
- Added missing directories and files.
* Fri Jun 06 2003 - freitag@suse.de
- update to backend version 1.0.12 - better support of current
  devices.
* Mon Mar 03 2003 - freitag@suse.de
- fixed a filelist error which turned out to be a wrong lib link.
  Bug #24567
* Wed Feb 26 2003 - meissner@suse.de
- Added one missing resmgr invocation.
* Mon Feb 17 2003 - meissner@suse.de
- Added resmgr support for both SCSI and USB kernel mode.
  (basically use rsm_open_device). This will allow opening
  the /dev/*scanner devices as user without need for special
  permissions.
- Added a USB hotplug usermap which makes the sm3600 devices
  accessible for libusb. (The rest are handled by the yast2 scanner
  module).
* Mon Feb 17 2003 - freitag@suse.de
- added epson backend directly from the author Karl Hein Kremer due
  to further changes to the USB base code. Removed the patch applied
  before again.
* Mon Feb 17 2003 - freitag@suse.de
- patch applied to detect Epson scanners via libusb correctly.
  Thanks to Karl Heinz Kremer who sent it in.
* Mon Feb 10 2003 - freitag@suse.de
- updated to backends version 1.0.11 which was suggested to avoid
  a possible security whole.
* Mon Feb 03 2003 - freitag@suse.de
- update to stable version 1.0.10
  added gimp and gimp-devel to neededforbuild again to provide gimp
  support for xscanimage
* Fri Jan 31 2003 - meissner@suse.de
- neededforbuild +resmgr, so libusb gets detected.
* Fri Jan 31 2003 - freitag@suse.de
- added backend descriptions file to /usr/share/sane
  moved the style file from /usr/X11R6/lib to /usr/share/sane
  added sane postscript and dvi documentation as extra source
* Mon Jan 27 2003 - freitag@suse.de
- update to version 1.0.10 pre 3
* Fri Jan 24 2003 - freitag@suse.de
- update to pre version 1.0.10, final will follow soon.
  Much more scanner supported.
* Thu Oct 31 2002 - freitag@suse.de
- update to final version 1.0.9
* Tue Oct 29 2002 - ro@suse.de
- removed (old) libtool macros from acinclude.m4
* Fri Oct 18 2002 - freitag@suse.de
- updated to pre version of 1.0.9 in advance for 1.0.9 and did some
  cleanup of the spec like removing a lot of neededforbuild deps
  and applied proper CFLAGS
  Added the gt68xx backend that supports expecially rf's new Mustek
  usb scanner
* Mon Sep 09 2002 - freitag@suse.de
- fixed filelist and added libsane.so again.
* Mon Sep 09 2002 - freitag@suse.de
- removed wrong lib libsane-hpoj from packlist, they came from package
  hp-officeJet accidentially.
* Fri Aug 16 2002 - freitag@suse.de
- added prerequires (Bug #17983) and a postun procedure
* Mon Jul 29 2002 - meissner@suse.de
- gphoto -> libgphoto2
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Thu Jul 18 2002 - freitag@suse.de
- reapplied __KERNEL__-Patches
* Wed Jul 17 2002 - freitag@suse.de
- update to sane version 1.0.8:
-Network backend and saned update
-documentation updates
-bugfixes
-updated backends
-new backends
* Tue Mar 19 2002 - freitag@suse.de
- fixed bug #14916
  This bug was caused by an segfault of scanimage which is used to
  find out which scanner are in operation on the network scan server.
  Since scanimage uses a one byte to small buffer in a string copy
  operation, a segfault happens.
  Fixed that bug by enlarging the buffer.
* Fri Mar 08 2002 - freitag@suse.de
- fixed bug #14449
  That changes the sane startup script to work with the scanimage
  from sane package 1.0.7.
  Added a proper check for being root or not. only root may start
  or restart the service (which actually does nothing but setting
  file permissions for scsi scanner). See rcsane.diff for the patch
  applied on rc.sane. Note that rcsane.diff is not applied during
  the build process, but shows the differences against the former
  version of rc.sane
* Mon Feb 18 2002 - freitag@suse.de
- fixed bug 13430 - updated to version 1.0.7 of sane. This broadens
  the scanner support.
* Wed Feb 06 2002 - freitag@suse.de
- minor fixes in rc.sane: removed useless test on start variable
* Thu Jan 10 2002 - freitag@suse.de
- updated to V. 1.0.6, provides bugfixes, gphoto2 changes and some
  new backends
- removed rc.config-template and used rpm macro instead to set the
  rc.config var.
- removed mustek_usb external source, because it is now part of the
  standard sane package.
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed `adjustscannerperm' to `sane' in init script
- removed bogus `probe' entry from the same script
* Wed Nov 21 2001 - bjacke@suse.de
- remove useless provides
- make config files (noreplce)
- use libdir macro
* Wed Sep 12 2001 - freitag@suse.de
- added support for Agfa SnapScan 1236U and updated to a later verion
  of mustek_usb-Backend, which provides better integration to the
  main backend module.
  Disabled all dll-entries in /etc/sane.d/dll.conf to avoid probs
  with wrong device detection which happend in the past. The yast
  module enables the correct one, added a README.SuSE to the sane
  package doc path that describes this change.
* Tue Sep 04 2001 - freitag@suse.de
- added a rc-script that changes the permissions of scsi scanner
  devices if they are installed. The scsi device files are switched
  to permission 666 on startup and reverted back to 640 on shutdown.
* Mon Sep 03 2001 - freitag@suse.de
- added a backend for mustek usb scanners.
* Wed Aug 29 2001 - freitag@suse.de
- added support for scanning from HP all-in-one-devices.
  Therefore, package hp-officeJet is needed.
- added a configure option --docdir to get rid of build failiures
  on distributions which have the documentation not in share.
* Mon Aug 27 2001 - freitag@suse.de
- applied patches for scanimage and sane-find-scanner that produce
  better parseable output for scripts etc. to help yast2 module.
- added a not yet in SANE released driver for mustek usb scanners,
  which are quite common in germany. The driver was initially written
  by a mustek engineer and was overtaken by the mustek backend
  maintainer of SANE.
* Tue Jul 17 2001 - uli@suse.de
- disabled direct PIO access for PPC
* Thu Jul 05 2001 - freitag@suse.de
- update to release 1.0.5
- documentation again created dynamically.
* Thu Jun 28 2001 - freitag@suse.de
- updated to pre-1.0.5 version, 1.0.5 is expected soon
- patched sane-find-scanner to have a silent mode.
* Mon Apr 09 2001 - freitag@suse.de
- applied snapscan-patch, fixed problem with missing gimp-plugin-link
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Fri Mar 23 2001 - freitag@suse.de
- removed dependency to gimp, patch to solve timing probs with
  kernel 2.4
* Fri Jan 05 2001 - freitag@suse.de
- updated to version 1.0.4
* Wed Dec 20 2000 - ro@suse.de
- fixed symlink
* Mon Nov 20 2000 - freitag@suse.de
- hide parport-scanner in standard sane distribution in dll.conf
* Wed Nov 15 2000 - freitag@suse.de
- skipped parport-scanner driver also for axp
* Tue Nov 07 2000 - freitag@suse.de
- skipped parport-scanner for ppc and sparc
* Mon Nov 06 2000 - freitag@suse.de
- fixed Copyright/License-Field in SpecFile
* Thu Nov 02 2000 - ro@suse.de
- fix neededforbuild for new package-names
* Thu Nov 02 2000 - freitag@suse.de
- new version 1.0.3
  patch for Artec AS6E scanner
  patch for HP4200 PPort Scanner
* Mon Sep 25 2000 - uli@suse.de
- fixed to build with new GIMP
* Mon Sep 25 2000 - egger@suse.de
- Upgraded to 1.0.3.
- Added -DGIMP_ENABLE_COMPAT_CRUFT to build again.
- The specfile is quite messy... maybe the maintainer could clean
  that up, please?
* Mon Sep 25 2000 - ro@suse.de
- changed neededforbuild: libgimpd -> gimpdev
* Tue Sep 12 2000 - mhafner@suse.de
- added suse_update_config
* Tue Jun 27 2000 - freitag@suse.de
- libs back to /usr/lib/sane - except libsane.so. and libsane-dll
* Fri Jun 02 2000 - freitag@suse.de
- problem with missing headerfiles and wrong linked libs fixed.
* Wed May 24 2000 - freitag@suse.de
- new configure switch --enable-scsibuffersize due to reported
  problems on the SANE-Mailinglist.
- installed *all* sane-libraries to /usr/lib
* Tue Mar 21 2000 - bodammer@suse.de
- backend for Agfa SnapScan V0.8 again
* Mon Mar 20 2000 - bodammer@suse.de
- update -> sane-1.0.2
  link to libsane-dll.so.1 included for xsane to work
* Sat Mar 04 2000 - ro@suse.de
- removed libgimp from neededforbuild
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Mon Feb 07 2000 - kukuk@suse.de
- Don't check for asm/io.h, this will not work on SPARC
* Tue Jan 18 2000 - bodammer@suse.de
- backend for Agfa SnapScan updated to V0.8
  works with new sg-modul from kernel > 2.2.5
* Fri Oct 15 1999 - ro@suse.de
-xscanimage: renamed GIMP_EXTENSION to IS_GIMP_EXTENSION
  (GIMP_EXTENSION is already used as enumerator as of gimp-1.1.10)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - ro@suse.de
- update to 1.0.1
- fixed neededforbuild to get gimp-support back
- removed tcl tk from neededforbuild
* Sun Jul 18 1999 - mha@suse.de
- removed '#' in front of /usr/sbin/saned in sane.spec
  for mb who isn't here today ;-)
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Mar 19 1999 - mb@suse.de
- fixed gtkn, gtkndev, glibn, glibndev dependencies
* Thu Nov 26 1998 - mb@suse.de
- major update to version 1.0
- new enhanced drivers for Abaton, Agfa Focus and Ricoh scanners
- Kodak DC210 still not supported
- Update for many drivers (Artec,Kodak,DC25,Microtek,Microtek2,Mustek
  UMAX and SnapScan).
- removed sgcheck. sgcheck now is in scsiinfo.
* Mon Nov 23 1998 - mb@suse.de
- added sgcheck tool. It scans /proc/scsi/scsi and tells you
  exactly the generic scsi ID of your SCSI devices, respectively
  your scanner.
- added README.sgcheck
* Wed Nov 18 1998 - ro@suse.de
- added libsane.so
* Tue Nov 17 1998 - ro@suse.de
- adjust neededforbuild to current distribution
* Fri Nov 13 1998 - mb@suse.de
- new version 0.74
- new and more scanners supported
- automatically detects attached scanners
* Mon May 25 1998 - mb@suse.de
- new version 0.73
- according to author may still cause trouble with microtek2 scanners!!
- uses new gtk1.0.1
- added scanners to supported list
- lots of bug fixed
* Wed Mar 11 1998 - ro@suse.de
- added libsane.so.0 to filelist
* Wed Feb 04 1998 - mb@suse.de
- new version 0.70
- added support for various scanners, such as agfa, microtek etc.
- bugfixing for umax scanners
* Sun Sep 21 1997 - mb@suse.de
  Initial version 0.63
